package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 审批业务类型
 */
@AllArgsConstructor
@Getter
public enum EApprovalBusiness {

    /**
     * 修改姓名
     */
    CHANGE_NAME(100, "变更会员姓名", EnumsPrefixConstants.APPROVAL_BUSINESS + "100"),
    /**
     * 修改手机号
     */
    CHANGE_PHONE(101, "变更联系方式", EnumsPrefixConstants.APPROVAL_BUSINESS + "101"),

    /**
     * 重置会员密码
     */
    RESET_LOGIN_PASSWORD(103, "重置会员密码", EnumsPrefixConstants.APPROVAL_BUSINESS + "103"),

    /**
     * 修改注册等级
     */
    CHANGE_REGISTER_GRADE(106, "修改注册等级", EnumsPrefixConstants.APPROVAL_BUSINESS + "106"),
    /**
     * 修改奖衔
     */
    CHANGE_AWARDS(107, "修改真实奖衔", EnumsPrefixConstants.APPROVAL_BUSINESS + "107"),
    /**
     * 修改会员礼包收货地址
     */
    CU_MEMBER_GIFT(108, "修改会员礼包收货地址", EnumsPrefixConstants.APPROVAL_BUSINESS + "108"),
    /**
     * 修改编号
     */
    CHANGE_MEMBER_CODE(109, "修改编号", EnumsPrefixConstants.APPROVAL_BUSINESS + "109"),

    /**
     * 修改安置
     */
    CU_MEMBER_PLACE_PARENT(110, "修改安置关系", EnumsPrefixConstants.APPROVAL_BUSINESS + "110"),

    /**
     * 修改直推
     */
    CU_MEMBER_PARENT(111, "修改直推", EnumsPrefixConstants.APPROVAL_BUSINESS + "111"),
    /**
     * 重置银行
     */
    RESET_BANK(112, "重置银行信息", EnumsPrefixConstants.APPROVAL_BUSINESS + "112"),
    /**
     * 修改结算等级
     */
    CHANGE_SETTLEMENT_GRADE(113, "修改结算等级", EnumsPrefixConstants.APPROVAL_BUSINESS + "113"),
    /**
     * 修改邮箱
     */
    RESET_EMAIL(114, "修改邮箱", EnumsPrefixConstants.APPROVAL_BUSINESS + "114"),
    /**
     * 修改自然国
     */
    CHANGE_NATURAL_COUNTRY(115, "修改自然国家", EnumsPrefixConstants.APPROVAL_BUSINESS + "115"),
    /**
     * 修改登录状态
     */
    SIGN_IN_STATE(116, "修改登录状态", EnumsPrefixConstants.APPROVAL_BUSINESS + "116"),
    /**
     * 收益状态
     */
    PROFIT_STATE(117, "修改收益状态", EnumsPrefixConstants.APPROVAL_BUSINESS + "117"),
    /**
     * 钱包状态
     */
    WALLET_STATE(118, "修改钱包状态", EnumsPrefixConstants.APPROVAL_BUSINESS + "118"),
    /**
     * 免考状态
     */
    FREE_ASSESSMENT_STATE(119, "修改免考状态", EnumsPrefixConstants.APPROVAL_BUSINESS + "119"),

    /**
     * 注水业绩
     */
    MEMBER_ACHIEVE(123, "注水业绩", EnumsPrefixConstants.APPROVAL_BUSINESS + "123"),
    /**
     * 特殊业务-修改结算国
     */
    UPDATE_SETTLE_COUNTRY(124, "修改结算国", EnumsPrefixConstants.APPROVAL_BUSINESS + "124"),
    /**
     * 办理政策币
     */
    POLICY_CURRENCY_YES_NO(125, "办理政策币", EnumsPrefixConstants.APPROVAL_BUSINESS + "125"),
    /**
     * 未激活点位
     */
    NOT_ACTIVE_POINT(126, "未激活点位", EnumsPrefixConstants.APPROVAL_BUSINESS + "126"),
    /**
     * 真实奖衔控制-新增
     */
    AWARDS_CONTROL_SAVE(128, "新增真实奖衔控制", EnumsPrefixConstants.APPROVAL_BUSINESS + "128"),
    /**
     * 真实奖衔控制-修改
     */
    AWARDS_CONTROL_MODIFY(129, "修改真实奖衔控制", EnumsPrefixConstants.APPROVAL_BUSINESS + "129"),
    /**
     * 真实奖衔控制-删除
     */
    AWARDS_CONTROL_DELETE(130, "删除真实奖衔控制", EnumsPrefixConstants.APPROVAL_BUSINESS + "130"),
    /**
     * 店铺配置-新增
     */
    CU_STORE_SAVE(131, "新增店铺配置", EnumsPrefixConstants.APPROVAL_BUSINESS + "131"),
    /**
     * 店铺配置-修改
     */
    CU_STORE_MODIFY(132, "修改店铺配置", EnumsPrefixConstants.APPROVAL_BUSINESS + "132"),
    /**
     * 店铺配置-删除
     */
    CU_STORE_DELETE(133, "删除店铺配置", EnumsPrefixConstants.APPROVAL_BUSINESS + "133"),

    /**
     * 空单注册
     */
    EMPTY_ORDER(190, "空单注册", EnumsPrefixConstants.APPROVAL_BUSINESS + "190"),

    /**
     * 订单修改地址
     */
    ORDER_CHANGE_ADDRESS(231, "修改地址", EnumsPrefixConstants.APPROVAL_BUSINESS + "231"),
    /**
     * 订单调换货物
     */
    ORDER_CHANGE_PRODUCT(232, "调换货物", EnumsPrefixConstants.APPROVAL_BUSINESS + "232"),
    /**
     * 订单退单
     */
    ORDER_RETURN(233, "退单", EnumsPrefixConstants.APPROVAL_BUSINESS + "233"),
    /**
     * 订单撤销订单
     */
    ORDER_CANCEL(234, "撤销订单", EnumsPrefixConstants.APPROVAL_BUSINESS + "234"),
    /**
     * 订单撤销产品
     */
    ORDER_CANCEL_PRODUCT(235, "撤销产品", EnumsPrefixConstants.APPROVAL_BUSINESS + "235"),

    /**
     * 订单自提
     */
    SELF_DELIVERY_MANAGE(251, "订单自提", EnumsPrefixConstants.APPROVAL_BUSINESS + "251"),


    /**
     * 二次发货
     */
    SECOND_DELIVER(253, "二次发货", EnumsPrefixConstants.APPROVAL_BUSINESS + "253"),

    /**
     * 财务充值
     */
    RECHARGE(300, "财务充值", EnumsPrefixConstants.APPROVAL_BUSINESS + "300"),
    /**
     * 财务提现
     */
    WITHDRAWAL(301, "财务提现", EnumsPrefixConstants.APPROVAL_BUSINESS + "301"),
    /**
     * 财务提现
     */
    FROZEN(309, "财务冻结", EnumsPrefixConstants.APPROVAL_BUSINESS + "309"),


    /**
     * 公告
     */
    MEMBER_NOTICE(520, "前台公告", EnumsPrefixConstants.APPROVAL_BUSINESS + "520"),

    ADMIN_NOTICE(521, "后台公告", EnumsPrefixConstants.APPROVAL_BUSINESS + "521"),

    /**
     * 提货充值
     */
    PICK_ADD(700, "提货充值", EnumsPrefixConstants.APPROVAL_BUSINESS + "700"),
    /**
     * 超级工作室赠送
     */
    SUPE_RWORK(710, "超级工作室赠送", EnumsPrefixConstants.APPROVAL_BUSINESS + "710"),
    /**
     * 节日赠送
     */
    FESTIVAL(712, "节日赠送", EnumsPrefixConstants.APPROVAL_BUSINESS + "712"),
    /**
     * 新人礼包
     */
    NEW_PEOPLE(713, "新人礼包", EnumsPrefixConstants.APPROVAL_BUSINESS + "713"),

    /**
     * 直推赠送
     */
    DIRECT_PUSH_GIFT(723, "直推赠送", EnumsPrefixConstants.APPROVAL_BUSINESS + "723"),

    /**
     * 复购券
     */
    REPURCHASE_COUPON(720, "复购券", EnumsPrefixConstants.APPROVAL_BUSINESS + "720"),
    /**
     * 直推升级
     */
    DIRECT_PUSH_UPGRADE(721, "直推升级", EnumsPrefixConstants.APPROVAL_BUSINESS + "721"),

    /**
     * 复购均分
     */
    REPURCHASE_SHAR(722, "复购均分", EnumsPrefixConstants.APPROVAL_BUSINESS + "722"),
    /**
     * 抽奖
     */
    LOTTERY_DRAW(724, "抽奖", EnumsPrefixConstants.APPROVAL_BUSINESS + "724"),
    /**
     * 政策币活动
     */
    POLICY_GIVE(725, "政策币活动", EnumsPrefixConstants.APPROVAL_BUSINESS + "725"),

    /**
     * 车奖
     */
    CAR_AWARD(726, "车奖", EnumsPrefixConstants.APPROVAL_BUSINESS + "726"),

    /**
     * 旅游奖
     */
    TOURISM_AWARD(727, "旅游奖", EnumsPrefixConstants.APPROVAL_BUSINESS + "727"),
    /**
     * 商品赠送添加
     */
    PRODUCT_GIFT_ADD(729, "商品赠送添加", EnumsPrefixConstants.APPROVAL_BUSINESS + "729"),

    /**
     * 商品赠送修改
     */
    PRODUCT_GIFT_UPDATE(730, "商品赠送修改", EnumsPrefixConstants.APPROVAL_BUSINESS + "730"),

    /**
     * 商品赠送删除
     */
    PRODUCT_GIFT_REMOVE(731, "商品赠送删除", EnumsPrefixConstants.APPROVAL_BUSINESS + "731"),

    /**
     * 种植公益配置添加
     */
    TREE_RULE_PICK_SAVE(732, "种植公益配置添加", EnumsPrefixConstants.APPROVAL_BUSINESS + "732"),

    /**
     * 种植公益配置修改
     */
    TREE_RULE_PICK_UPDATE(733, "种植公益配置修改", EnumsPrefixConstants.APPROVAL_BUSINESS + "733"),

    /**
     * 种植公益配置删除
     */
    TREE_RULE_PICK_REMOVE(734, "种植公益配置删除", EnumsPrefixConstants.APPROVAL_BUSINESS + "734"),

    /**
     * 消费赠送添加
     */
    CONSUME_GIFT_ADD(738, "消费赠送添加", EnumsPrefixConstants.APPROVAL_BUSINESS + "738"),

    /**
     * 消费赠送修改
     */
    CONSUME_GIFT_UPDATE(739, "消费赠送修改", EnumsPrefixConstants.APPROVAL_BUSINESS + "739"),

    /**
     * 消费赠送删除
     */
    CONSUME_GIFT_REMOVE(740, "消费赠送删除", EnumsPrefixConstants.APPROVAL_BUSINESS + "740"),


    /**
     * 复消币赠送添加
     */
    RECOIL_GIVE_ADD(741, "复消币赠送添加", EnumsPrefixConstants.APPROVAL_BUSINESS + "741"),

    /**
     * 复消币赠送修改
     */
    RECOIL_GIVE_UPDATE(742, "复消币赠送修改", EnumsPrefixConstants.APPROVAL_BUSINESS + "742"),

    /**
     * 复消币赠送删除
     */
    RECOIL_GIVE_REMOVE(743, "复消币赠送删除", EnumsPrefixConstants.APPROVAL_BUSINESS + "743"),

    /**
     * K值风控设置添加
     */
    MEMBER_RISK_ADD(903, "K值风控设置添加", EnumsPrefixConstants.APPROVAL_BUSINESS + "903"),

    /**
     * K值风控设置修改
     */
    MEMBER_RISK_UPDATE(904, "K值风控设置修改", EnumsPrefixConstants.APPROVAL_BUSINESS + "904"),

    /**
     * K值风控设置删除
     */
    MEMBER_RISK_REMOVE(905, "K值风控设置删除", EnumsPrefixConstants.APPROVAL_BUSINESS + "905"),

    ;


    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译KEY值
     */
    private final String key;

    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EApprovalBusiness getEnumByValue(int value) {
        for (EApprovalBusiness eApprovalBusiness : EApprovalBusiness.values()) {
            if (eApprovalBusiness.getValue() == value) {
                return eApprovalBusiness;
            }
        }
        return null;
    }

}
